# 
# spec file for package hostinfo
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

Name:         hostinfo
Version:      1.0.6
Release:      lp152.21.3.1
Summary:      Gathers basic server information
License:      GPL-2.0
URL:          https://github.com/g23guy/hostinfo
Group:        System/Monitoring
Source:       %{name}-%{version}.tar.gz
Requires:     sed
Requires:     iproute2
Requires:     issue-generator
Buildarch:    noarch

%description
A script that displays current system information to help 
identify a host and its resources.
 
%prep
%setup -q

%build
gzip -9f man/*8

%install
pwd;ls -la
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_udevrulesdir}
install -d %{buildroot}%{_mandir}/man8
install -d %{buildroot}%{_docdir}/%{name}
install -m 644 conf/hostinfo.conf %{buildroot}%{_sysconfdir}
install -m 644 conf/91-hostinfo.rules %{buildroot}%{_udevrulesdir}/91-hostinfo.rules
install -D -m 644 conf/hostinfo.service %{buildroot}%{_unitdir}/hostinfo.service
install -D -m 644 conf/hostinfo.timer %{buildroot}%{_unitdir}/hostinfo.timer
install -m 755 bin/hostinfo %{buildroot}%{_sbindir}
install -m 444 man/COPYING.GPLv2 %{buildroot}%{_docdir}/%{name}
install -m 644 man/*.8.gz %{buildroot}%{_mandir}/man8
ln -sf service %{buildroot}%{_sbindir}/rchostinfo

%files
%defattr(-,root,root)
%{_sbindir}/hostinfo
%{_sbindir}/rchostinfo
%{_unitdir}/hostinfo.service
%{_unitdir}/hostinfo.timer
%{_udevrulesdir}/91-hostinfo.rules
%config %{_sysconfdir}/hostinfo.conf
%{_mandir}/man8/*
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/*

%pre
%service_add_pre hostinfo.service hosinfo.timer

%post
%service_add_post hostinfo.service hostinfo.timer

%preun
%service_del_preun hostinfo.service hostinfo.timer
/usr/sbin/hostinfo Uninstalled

%postun
%service_del_postun hostinfo.service hostinfo.timer

%changelog
* Thu Mar 18 2021 jason.record@gmail.com
- Host information now persistent across reboots (bsc#1183732)
- Fixed output strings
* Mon Nov 23 2020 jason.record@suse.com
- Additions to version 1.0.6
  + Only include hostinfo details in /etc/motd (bsc#1170092)
  + Fixed CPU load average calculation (bsc#1170094)
  + Added program and version to output
  + Consolidated memory output
  + Understands 3rd party packages on SLES or OpenSUSE (bsc#1170858)
* Sat Mar 10 2018 jason.record@suse.com
- Added 91-hostinfo.rules for network rules
- Add INCLUDE_MOTD for message of the day
* Thu Mar  8 2018 jason.record@suse.com
- Added rchostinfo link
- Removed preset in favor of system presets
* Thu Mar  8 2018 jason.record@suse.com
- Added deConfigure for uninstall procedure
- Removed spec start and cleanup references
* Fri Mar  2 2018 jason.record@suse.com
- Added cleanUp to catch all exits
- Added pre-existing run check
- Updated hostinfo.timer
- Added custom action
* Wed Feb 21 2018 jason.record@suse.com
- Start hostinfo.timer at install
- Added ssh key fingerprints
- Added hostinfo.timer
* Mon Feb 12 2018 jason.record@suse.com
- Updated hostinfo(8) man page
- Distribution information first comes from baseproduct
- Added CPU Load
* Thu Feb  8 2018 jason.record@suse.com
- Integrated hostinfo with issue-generator (bsc#1080153)
* Wed Feb  7 2018 jason.record@suse.com
- Consolidated rpm reads
* Tue Feb  6 2018 jason.record@suse.com
- Corrected memory with updated free output (bsc#1079662)
- showNetAddr uses ip address instead of ifconfig
* Wed Jan 10 2018 jason.record@suse.com
- Fixed kernel install time
- Fixed taint and distribution tags
- Fixed spec file for sle15
* Thu Aug 14 2014 jrecord@suse.com
- Fixed 3rd party detection (bnc#891604)
* Fri Apr 25 2014 jrecord@suse.com
- Added CIDR to IP address list
- Only show taint status for SLE12
- Fixed missing interface (bnc#874878)
* Wed Mar 19 2014 jrecord@suse.com
- Update man page
- Fixed FSF address in files
- Change to System/Monitoring spec Group
* Fri Feb 28 2014 jrecord@suse.com
- Requires sed
* Tue Feb 25 2014 jrecord@suse.com
- Annotated hostinforc
- Updated man page
- Replaced hostinfo-updates with hostinfo-refreash
- hostinfo-refreash is the cron.daily cron
- Added hostinfo-refreash to cron.daily
- Hostinfo creates /var/spool/hostinfo/root-motd
* Wed Feb 12 2014 jrecord@suse.com
- Added hostinfo-updates to check patch information
- Installs into .profile
- Hostinfo-updates links to cron.daily
- Added startup switches for hostinfo
- Updated man pages
* Thu Jan 30 2014 jrecord@suse.com
- Added hostinfo.changes
* Fri Jan 24 2014 jrecord@suse.com
- added kernel taint and install time
- initial
